curl -X GET "https://api.usegately.com/api/v1/forms/form_123" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"form": {
"id": "form_123",
"name": "Contact Form",
"description": "Get in touch with us",
"fields": [
{
"id": "field_1",
"type": "text",
"label": "Name",
"required": true
},
{
"id": "field_2",
"type": "email",
"label": "Email",
"required": true
}
],
"settings": {
"submit_button_text": "Send Message",
"success_message": "Thanks for reaching out!"
},
"created_at": "2024-01-15T10:30:00Z"
}
}
Forms
Get Form
Get a specific form by ID
GET
/
api
/
v1
/
forms
/
{id}
curl -X GET "https://api.usegately.com/api/v1/forms/form_123" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"form": {
"id": "form_123",
"name": "Contact Form",
"description": "Get in touch with us",
"fields": [
{
"id": "field_1",
"type": "text",
"label": "Name",
"required": true
},
{
"id": "field_2",
"type": "email",
"label": "Email",
"required": true
}
],
"settings": {
"submit_button_text": "Send Message",
"success_message": "Thanks for reaching out!"
},
"created_at": "2024-01-15T10:30:00Z"
}
}
Retrieve details of a specific form.
Path Parameters
The form ID
Response
The form object with all fields and settings
curl -X GET "https://api.usegately.com/api/v1/forms/form_123" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"form": {
"id": "form_123",
"name": "Contact Form",
"description": "Get in touch with us",
"fields": [
{
"id": "field_1",
"type": "text",
"label": "Name",
"required": true
},
{
"id": "field_2",
"type": "email",
"label": "Email",
"required": true
}
],
"settings": {
"submit_button_text": "Send Message",
"success_message": "Thanks for reaching out!"
},
"created_at": "2024-01-15T10:30:00Z"
}
}
Was this page helpful?
⌘I